// PreventSecondInstance.cpp :  Դϴ.
//

#include "stdafx.h"
#include ".\preventsecondinstance.h"


// PreventSecondInstance

PreventSecondInstance::PreventSecondInstance(CString mutexName)
: lastError(0)
{
	this->mutex = CreateMutex(NULL, FALSE, mutexName);
	this->lastError = GetLastError();

}

PreventSecondInstance::~PreventSecondInstance()
{
	if (this->mutex)  //Do not forget to close handles.
    {
		CloseHandle(this->mutex); //Do as late as possible.
		this->mutex = NULL; //Good habit to be in.
    }

}
// PreventSecondInstance  ԼԴϴ.

bool PreventSecondInstance::IsAnotherInstanceRunning(void)
{
	return (ERROR_ALREADY_EXISTS == this->lastError);
}
